# Create contact

Creates a contact.

```http
POST https://api.pozy.ai/v1/contacts
```

- Area: Automations / Contacts
- Auth: Authorization: Bearer pz_live_...

## Request body

Content type: `application/json`

- `profileId`, string, required
- `name`, string, required
- `email`, string
- `company`, string
- `tags`, array of string
- `isSubscribed`, boolean: Default `true`
- `notes`, string
- `accountId`, string
- `platform`, string: One of `instagram`, `facebook`, `telegram`, `twitter`, `bluesky`, `reddit`, `whatsapp`, `slack`, `sms`
- `platformIdentifier`, string
- `displayIdentifier`, string

## Example request

```bash
curl -X POST "https://api.pozy.ai/v1/contacts" \
  -H "Authorization: Bearer $POZY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "profileId": "6a0b6573846efc28aaa9a3ff",
  "name": "Acme"
}'
```

```ts
const res = await fetch("https://api.pozy.ai/v1/contacts", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.POZY_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    profileId: "6a0b6573846efc28aaa9a3ff",
    name: "Acme"
  }),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.post(
    "https://api.pozy.ai/v1/contacts",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    json={
        "profileId": "6a0b6573846efc28aaa9a3ff",
        "name": "Acme",
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `success`, boolean
- `contact`, object
  - `id`, string
  - `name`, string
  - `email`, string
  - `company`, string
  - `tags`, array of string
  - `isSubscribed`, boolean
  - `isBlocked`, boolean
  - `customFields`, object
  - `notes`, string
  - `createdAt`, string (date-time)
- `channel`, object
  - `id`, string
  - `platform`, string
  - `platformIdentifier`, string
  - `displayIdentifier`, string
- `warning`, string

```json
{
  "success": true,
  "contact": {
    "id": "6bfebd43ddc270f6d2c56fc5",
    "name": "Acme",
    "email": "alex@example.com",
    "company": "string",
    "tags": [
      "string"
    ],
    "isSubscribed": true,
    "isBlocked": true,
    "customFields": {},
    "notes": "string",
    "createdAt": "2026-10-02T09:00:00.000Z"
  },
  "channel": {
    "id": "6bfebd43ddc270f6d2c56fc5",
    "platform": "instagram",
    "platformIdentifier": "instagram",
    "displayIdentifier": "string"
  },
  "warning": "string"
}
```
